# SourcePath: time/20041119dev
Summary: The GNU time command.
Name: sony-target-dev-time
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-time
Version: 1.7
Release: 14020101
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/time
Source: time-%{version}.tar.gz
Patch: time-%{version}-diff
Patch1: time-1.7-glibc.patch
Patch2: time-1.7-eglibc-2.16-fix.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%define targetroot %{sony_target_dir}

%define _bindir %{targetroot}%{sony_target_dev_bin_dir}
%define _mandir %{targetroot}%{sony_target_dev_man_dir}
%define _docdir %{targetroot}%{sony_target_dev_doc_dir}
%define _infodir %{targetroot}%{sony_target_dev_info_dir}


%description
The `time' command runs another program, then displays information
about the resources used by that program, collected by the system while
the program was running.  You can select which information is reported
and the format in which it is shown, or have `time' save the information
in a file instead of display it on the screen.

The resources that `time' can report on fall into the general
categories of time, memory, I/O, and IPC calls.

The GNU version can format the output in arbitrary ways by using a
printf-style format string to include various resource measurements.

%package -n %{pkgname}
Summary: The GNU time command.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The `time' command runs another program, then displays information
about the resources used by that program, collected by the system while
the program was running.  You can select which information is reported
and the format in which it is shown, or have `time' save the information
in a file instead of display it on the screen.

The resources that `time' can report on fall into the general
categories of time, memory, I/O, and IPC calls.

The GNU version can format the output in arbitrary ways by using a
printf-style format string to include various resource measurements.


%prep
%setup -q -n time-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}

for i in %{_bindir} %{_mandir}/man1 %{_infodir} ; do
    install -d %{buildroot}$i
done

(cd objdir && install -m 755 time %{buildroot}%{_bindir}/time)
install -m 644 debian/time.1 %{buildroot}%{_mandir}/man1/time.1
install -m 644 time.info %{buildroot}%{_infodir}/time.info
gzip -9f %{buildroot}%{_mandir}/man1/*
gzip -9f %{buildroot}%{_infodir}/*.info*

rm -rf %{buildroot}%{_mandir}
rm -rf %{buildroot}%{_infodir}


%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/time

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x

* Fri Nov 19 2004 Sony Corporation
- delete online manual

* Fri Aug 20 2004 Sony Corporation - dev-time
- Initial build.  Conformed to 20040825-rule
